### Name: studentGrowthPercentiles
### Title: Student Growth Percentiles
### Aliases: studentGrowthPercentiles
### Keywords: misc models

### ** Examples

############################################################################
####
#### Code for master file which computes student growth percentiles for 2007
#### using provided sgpData dataset
####
############################################################################

###
### Load student growth percentile (SGP) library
###

require(SGP) 

###
### Calculate student growth percentiles
###

## 444444444444444444444444444444444444444444444444444444444444

sgp_reading_2007_g4 <- studentGrowthPercentiles(
             student.data = sgpData, ### SGP Library data set
             num.panels = 4, 
             num.prior = 1, 
             subset.grade = 4,
             percuts.digits = 0, 
             sgp.function.labels = list(my.year=2007, my.subject="Reading", my.grade=4))

## save(sgp_reading_2007_g4, file="Results_Data/sgp_reading_2007_g4.Rdata")

## 555555555555555555555555555555555555555555555555555555555555

sgp_reading_2007_g5 <- studentGrowthPercentiles(
             student.data = sgpData, 
             num.panels = 4, 
             num.prior = 2,  
             subset.grade = 5,
             percuts.digits = 0,
             use.my.knots.and.boundaries=TRUE, 
             sgp.function.labels = list(my.year=2007, my.subject="Reading", my.grade=5))

## save(sgp_reading_2007_g5, file="Results_Data/sgp_reading_2007_g5.Rdata")

## 6666666666666666666666666666666666666666666666666666666666666

sgp_reading_2007_g6 <- studentGrowthPercentiles(
             student.data = sgpData, 
             num.panels = 4, 
             num.prior = 3, 
             subset.grade = 6,
             percuts.digits = 0,
             use.my.knots.and.boundaries=TRUE,
             sgp.function.labels = list(my.year=2007, my.subject="Reading", my.grade=6))

## save(sgp_reading_2007_g6, file="Results_Data/sgp_reading_2007_g6.Rdata")

## 7777777777777777777777777777777777777777777777777777777777777

sgp_reading_2007_g7 <- studentGrowthPercentiles(
             student.data = sgpData, 
             num.panels = 4, 
             num.prior = 3, 
             subset.grade = 7,
             percuts.digits = 0,
             use.my.knots.and.boundaries=TRUE,
             sgp.function.labels = list(my.year=2007, my.subject="Reading", my.grade=7))

## save(sgp_reading_2007_g7, file="Results_Data/sgp_reading_2007_g7.Rdata")

###
### Bind grade results and save output
###

sgp_reading_2007_gall <- rbind(sgp_reading_2007_g4, 
                               sgp_reading_2007_g5, 
                               sgp_reading_2007_g6, 
                               sgp_reading_2007_g7)

save(sgp_reading_2007_gall, file="Results_Data/sgp_reading_2007_gall.Rdata")
write.table(sgp_reading_2007_gall, file="Results_Data/sgp_reading_2007_gall.dat", 
            sep=",", row.names=FALSE, quote=FALSE)

###
### End of Master Program for Student Growth Percentiles
###



